#include <iostream>
using namespace std;

long long p[1003];
int main()
{
    long long n;
    cin>>n;
    int a, b;
    cin>>a>>b;
    int z;
    for (int i=1; i<=n; i++)
    {
        p[i-1]=b;
        p[i-2]=a;
        z=p[i-1]*p[i-2];
        int br=0;
        int m;

        for (int o=1; o<=n; i++)
         {
             m=z/10%10;
             br++;
         }

        for (int j=1; j<=br; j++)
        {
            int k;
            k=z%10;
            if (k==0) k=k+9;
            else k=k-1;
            p[i]=z%1000;
            z=p[i];
        }
    }

    cout<<z<<endl;
    return 0;
}
